# rtsp client

The client object handles the connection with a client for as long as a TCP connection is open.

A GstRTSPClient is created by GstRTSPServer when a new connection is accepted and it inherits the GstRTSPMountPoints, GstRTSPSessionPool, GstRTSPAuth and GstRTSPThreadPool from the server.

The client connection should be configured with the GstRTSPConnection using gst_rtsp_client_set_connection before it can be attached to a GMainContext using gst_rtsp_client_attach. From then on the client will handle requests on the connection.

Use gst_rtsp_client_session_filter to iterate or modify all the GstRTSPSession objects managed by the client object.

Last reviewed on 2013-07-11 (1.0.0)

## GstRTSPClient

    GObject
        ╰──GstRTSPClient
            ╰──GstRTSPOnvifClient

The client object represents the connection and its state with a client.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPClientClass

The client class structure.

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPClientClass

The client class structure.

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPClientClass

The client class structure.

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPClient

    GObject.Object
        ╰──GstRtspServer.RTSPClient
            ╰──GstRtspServer.RTSPOnvifClient

The client object represents the connection and its state with a client.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPClient

    GObject.Object
        ╰──GstRtspServer.RTSPClient
            ╰──GstRtspServer.RTSPOnvifClient

The client object represents the connection and its state with a client.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_client_new

    GstRTSPClient *
    gst_rtsp_client_new ()

Create a new GstRTSPClient instance.

Returns ( [transfer: full]) –

a new GstRTSPClient

#### GstRtspServer.RTSPClient.prototype.new

    function GstRtspServer.RTSPClient.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_client_new'
    }

Create a new GstRtspServer.RTSPClient instance.

Returns (GstRtspServer.RTSPClient) –

a new GstRtspServer.RTSPClient

#### GstRtspServer.RTSPClient.new

    def GstRtspServer.RTSPClient.new ():
        #python wrapper for 'gst_rtsp_client_new'

Create a new GstRtspServer.RTSPClient instance.

Returns (GstRtspServer.RTSPClient) –

a new GstRtspServer.RTSPClient

### Methods

#### gst_rtsp_client_attach

    guint
    gst_rtsp_client_attach (GstRTSPClient * client,
                            GMainContext * context)

Attaches client to context. When the mainloop for context is run, the client will be dispatched. When context is NULL, the default context will be used).

This function should be called when the client properties and urls are fully configured and the client is ready to start.

Parameters:

`client` –

a GstRTSPClient

`context` ( [allow-none]) –

a GMainContext

Returns –

the ID (greater than 0) for the source within the GMainContext.

#### GstRtspServer.RTSPClient.prototype.attach

    function GstRtspServer.RTSPClient.prototype.attach(context: GMainContext (not introspectable)): {
        // javascript wrapper for 'gst_rtsp_client_attach'
    }

Attaches client to context. When the mainloop for context is run, the client will be dispatched. When context is null, the default context will be used).

This function should be called when the client properties and urls are fully configured and the client is ready to start.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`context` (GMainContext (not introspectable)) –

a GMainContext (not introspectable)

Returns (Number) –

the ID (greater than 0) for the source within the GMainContext.

#### GstRtspServer.RTSPClient.attach

    def GstRtspServer.RTSPClient.attach (self, context):
        #python wrapper for 'gst_rtsp_client_attach'

Attaches client to context. When the mainloop for context is run, the client will be dispatched. When context is None, the default context will be used).

This function should be called when the client properties and urls are fully configured and the client is ready to start.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`context` (GMainContext (not introspectable)) –

a GMainContext (not introspectable)

Returns (int) –

the ID (greater than 0) for the source within the GMainContext.

#### gst_rtsp_client_close

    gst_rtsp_client_close (GstRTSPClient * client)

Close the connection of client and remove all media it was managing.

Parameters:

`client` –

a GstRTSPClient

Since : 1.4

#### GstRtspServer.RTSPClient.prototype.close

    function GstRtspServer.RTSPClient.prototype.close(): {
        // javascript wrapper for 'gst_rtsp_client_close'
    }

Close the connection of client and remove all media it was managing.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Since : 1.4

#### GstRtspServer.RTSPClient.close

    def GstRtspServer.RTSPClient.close (self):
        #python wrapper for 'gst_rtsp_client_close'

Close the connection of client and remove all media it was managing.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Since : 1.4

#### gst_rtsp_client_get_auth

    GstRTSPAuth *
    gst_rtsp_client_get_auth (GstRTSPClient * client)

Get the GstRTSPAuth used as the authentication manager of client.

Parameters:

`client` –

a GstRTSPClient

Returns ( [transfer: full][nullable]) –

the GstRTSPAuth of client. g_object_unref after usage.

#### GstRtspServer.RTSPClient.prototype.get_auth

    function GstRtspServer.RTSPClient.prototype.get_auth(): {
        // javascript wrapper for 'gst_rtsp_client_get_auth'
    }

Get the GstRtspServer.RTSPAuth used as the authentication manager of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPAuth) –

the GstRtspServer.RTSPAuth of client. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPClient.get_auth

    def GstRtspServer.RTSPClient.get_auth (self):
        #python wrapper for 'gst_rtsp_client_get_auth'

Get the GstRtspServer.RTSPAuth used as the authentication manager of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPAuth) –

the GstRtspServer.RTSPAuth of client. GObject.Object.unref after usage.

#### gst_rtsp_client_get_connection

    GstRTSPConnection *
    gst_rtsp_client_get_connection (GstRTSPClient * client)

Get the GstRTSPConnection of client.

Parameters:

`client` –

a GstRTSPClient

Returns ( [transfer: none][nullable]) –

the GstRTSPConnection of client. The connection object returned remains valid until the client is freed.

#### GstRtspServer.RTSPClient.prototype.get_connection

    function GstRtspServer.RTSPClient.prototype.get_connection(): {
        // javascript wrapper for 'gst_rtsp_client_get_connection'
    }

Get the GstRtsp.RTSPConnection of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtsp.RTSPConnection) –

the GstRtsp.RTSPConnection of client. The connection object returned remains valid until the client is freed.

#### GstRtspServer.RTSPClient.get_connection

    def GstRtspServer.RTSPClient.get_connection (self):
        #python wrapper for 'gst_rtsp_client_get_connection'

Get the GstRtsp.RTSPConnection of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtsp.RTSPConnection) –

the GstRtsp.RTSPConnection of client. The connection object returned remains valid until the client is freed.

#### gst_rtsp_client_get_content_length_limit

    guint
    gst_rtsp_client_get_content_length_limit (GstRTSPClient * client)

Get the Content-Length limit of client.

Parameters:

`client` –

a GstRTSPClient

Returns –

the Content-Length limit.

Since : 1.18

#### GstRtspServer.RTSPClient.prototype.get_content_length_limit

    function GstRtspServer.RTSPClient.prototype.get_content_length_limit(): {
        // javascript wrapper for 'gst_rtsp_client_get_content_length_limit'
    }

Get the Content-Length limit of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (Number) –

the Content-Length limit.

Since : 1.18

#### GstRtspServer.RTSPClient.get_content_length_limit

    def GstRtspServer.RTSPClient.get_content_length_limit (self):
        #python wrapper for 'gst_rtsp_client_get_content_length_limit'

Get the Content-Length limit of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (int) –

the Content-Length limit.

Since : 1.18

#### gst_rtsp_client_get_mount_points

    GstRTSPMountPoints *
    gst_rtsp_client_get_mount_points (GstRTSPClient * client)

Get the GstRTSPMountPoints object that client uses to manage its sessions.

Parameters:

`client` –

a GstRTSPClient

Returns ( [transfer: full][nullable]) –

a GstRTSPMountPoints, unref after usage.

#### GstRtspServer.RTSPClient.prototype.get_mount_points

    function GstRtspServer.RTSPClient.prototype.get_mount_points(): {
        // javascript wrapper for 'gst_rtsp_client_get_mount_points'
    }

Get the GstRtspServer.RTSPMountPoints object that client uses to manage its sessions.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints, unref after usage.

#### GstRtspServer.RTSPClient.get_mount_points

    def GstRtspServer.RTSPClient.get_mount_points (self):
        #python wrapper for 'gst_rtsp_client_get_mount_points'

Get the GstRtspServer.RTSPMountPoints object that client uses to manage its sessions.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints, unref after usage.

#### gst_rtsp_client_get_session_pool

    GstRTSPSessionPool *
    gst_rtsp_client_get_session_pool (GstRTSPClient * client)

Get the GstRTSPSessionPool object that client uses to manage its sessions.

Parameters:

`client` –

a GstRTSPClient

Returns ( [transfer: full][nullable]) –

a GstRTSPSessionPool, unref after usage.

#### GstRtspServer.RTSPClient.prototype.get_session_pool

    function GstRtspServer.RTSPClient.prototype.get_session_pool(): {
        // javascript wrapper for 'gst_rtsp_client_get_session_pool'
    }

Get the GstRtspServer.RTSPSessionPool object that client uses to manage its sessions.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPSessionPool) –

a GstRtspServer.RTSPSessionPool, unref after usage.

#### GstRtspServer.RTSPClient.get_session_pool

    def GstRtspServer.RTSPClient.get_session_pool (self):
        #python wrapper for 'gst_rtsp_client_get_session_pool'

Get the GstRtspServer.RTSPSessionPool object that client uses to manage its sessions.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPSessionPool) –

a GstRtspServer.RTSPSessionPool, unref after usage.

#### gst_rtsp_client_get_stream_transport

    GstRTSPStreamTransport *
    gst_rtsp_client_get_stream_transport (GstRTSPClient * client,
                                          guint8 channel)

This is useful when providing a send function through gst_rtsp_client_set_send_func when doing RTSP over TCP: the send function must call gst_rtsp_stream_transport_message_sent () on the appropriate transport when data has been received for streaming to continue.

Parameters:

`client` –
No description available
`channel` –
No description available
Returns ( [transfer: none][nullable]) –

the GstRTSPStreamTransport associated with channel.

Since : 1.18

#### GstRtspServer.RTSPClient.prototype.get_stream_transport

    function GstRtspServer.RTSPClient.prototype.get_stream_transport(channel: Number): {
        // javascript wrapper for 'gst_rtsp_client_get_stream_transport'
    }

This is useful when providing a send function through GstRtspServer.RTSPClient.prototype.set_send_func when doing RTSP over TCP: the send function must call gst_rtsp_stream_transport_message_sent () on the appropriate transport when data has been received for streaming to continue.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`channel` (Number) –
No description available
Returns (GstRtspServer.RTSPStreamTransport) –

the GstRtspServer.RTSPStreamTransport associated with channel.

Since : 1.18

#### GstRtspServer.RTSPClient.get_stream_transport

    def GstRtspServer.RTSPClient.get_stream_transport (self, channel):
        #python wrapper for 'gst_rtsp_client_get_stream_transport'

This is useful when providing a send function through GstRtspServer.RTSPClient.set_send_func when doing RTSP over TCP: the send function must call gst_rtsp_stream_transport_message_sent () on the appropriate transport when data has been received for streaming to continue.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`channel` (int) –
No description available
Returns (GstRtspServer.RTSPStreamTransport) –

the GstRtspServer.RTSPStreamTransport associated with channel.

Since : 1.18

#### gst_rtsp_client_get_thread_pool

    GstRTSPThreadPool *
    gst_rtsp_client_get_thread_pool (GstRTSPClient * client)

Get the GstRTSPThreadPool used as the thread pool of client.

Parameters:

`client` –

a GstRTSPClient

Returns ( [transfer: full][nullable]) –

the GstRTSPThreadPool of client. g_object_unref after usage.

#### GstRtspServer.RTSPClient.prototype.get_thread_pool

    function GstRtspServer.RTSPClient.prototype.get_thread_pool(): {
        // javascript wrapper for 'gst_rtsp_client_get_thread_pool'
    }

Get the GstRtspServer.RTSPThreadPool used as the thread pool of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPThreadPool) –

the GstRtspServer.RTSPThreadPool of client. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPClient.get_thread_pool

    def GstRtspServer.RTSPClient.get_thread_pool (self):
        #python wrapper for 'gst_rtsp_client_get_thread_pool'

Get the GstRtspServer.RTSPThreadPool used as the thread pool of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

Returns (GstRtspServer.RTSPThreadPool) –

the GstRtspServer.RTSPThreadPool of client. GObject.Object.unref after usage.

#### gst_rtsp_client_handle_message

    GstRTSPResult
    gst_rtsp_client_handle_message (GstRTSPClient * client,
                                    GstRTSPMessage * message)

Let the client handle message.

Parameters:

`client` –

a GstRTSPClient

`message` ( [transfer: none]) –

an GstRTSPMessage

Returns –

a GstRTSPResult.

#### GstRtspServer.RTSPClient.prototype.handle_message

    function GstRtspServer.RTSPClient.prototype.handle_message(message: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_client_handle_message'
    }

Let the client handle message.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`message` (GstRtsp.RTSPMessage) –

an GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### GstRtspServer.RTSPClient.handle_message

    def GstRtspServer.RTSPClient.handle_message (self, message):
        #python wrapper for 'gst_rtsp_client_handle_message'

Let the client handle message.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`message` (GstRtsp.RTSPMessage) –

an GstRtsp.RTSPMessage

Returns (GstRtsp.RTSPResult) –

a GstRtsp.RTSPResult.

#### gst_rtsp_client_send_message

    GstRTSPResult
    gst_rtsp_client_send_message (GstRTSPClient * client,
                                  GstRTSPSession * session,
                                  GstRTSPMessage * message)

Send a message message to the remote end. message must be a GST_RTSP_MESSAGE_REQUEST or a GST_RTSP_MESSAGE_RESPONSE.

Parameters:

`client` –

a GstRTSPClient

`session` ( [allow-none][transfer: none]) –

a GstRTSPSession to send the message to or NULL

`message` ( [transfer: none]) –

The GstRTSPMessage to send

Returns –
No description available

#### GstRtspServer.RTSPClient.prototype.send_message

    function GstRtspServer.RTSPClient.prototype.send_message(session: GstRtspServer.RTSPSession, message: GstRtsp.RTSPMessage): {
        // javascript wrapper for 'gst_rtsp_client_send_message'
    }

Send a message message to the remote end. message must be a GstRtsp.RTSPMsgType.REQUEST or a GstRtsp.RTSPMsgType.RESPONSE.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`session` (GstRtspServer.RTSPSession) –

a GstRtspServer.RTSPSession to send the message to or null

`message` (GstRtsp.RTSPMessage) –

The GstRtsp.RTSPMessage to send

Returns (GstRtsp.RTSPResult) –
No description available

#### GstRtspServer.RTSPClient.send_message

    def GstRtspServer.RTSPClient.send_message (self, session, message):
        #python wrapper for 'gst_rtsp_client_send_message'

Send a message message to the remote end. message must be a GstRtsp.RTSPMsgType.REQUEST or a GstRtsp.RTSPMsgType.RESPONSE.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`session` (GstRtspServer.RTSPSession) –

a GstRtspServer.RTSPSession to send the message to or None

`message` (GstRtsp.RTSPMessage) –

The GstRtsp.RTSPMessage to send

Returns (GstRtsp.RTSPResult) –
No description available

#### gst_rtsp_client_session_filter

    GList *
    gst_rtsp_client_session_filter (GstRTSPClient * client,
                                    GstRTSPClientSessionFilterFunc func,
                                    gpointer user_data)

Call func for each session managed by client. The result value of func determines what happens to the session. func will be called with client locked so no further actions on client can be performed from func.

If func returns GST_RTSP_FILTER_REMOVE, the session will be removed from client.

If func returns GST_RTSP_FILTER_KEEP, the session will remain in client.

If func returns GST_RTSP_FILTER_REF, the session will remain in client but will also be added with an additional ref to the result GList of this function..

When func is NULL, GST_RTSP_FILTER_REF will be assumed for each session.

Parameters:

`client` –

a GstRTSPClient

`func` ( [scope call][allow-none]) –

a callback

`user_data` –

user data passed to func

Returns ( [element-type GstRTSPSession][transfer: full]) –

a GList with all sessions for which func returned GST_RTSP_FILTER_REF. After usage, each element in the GList should be unreffed before the list is freed.

#### GstRtspServer.RTSPClient.prototype.session_filter

    function GstRtspServer.RTSPClient.prototype.session_filter(func: GstRtspServer.RTSPClientSessionFilterFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_client_session_filter'
    }

Call func for each session managed by client. The result value of func determines what happens to the session. func will be called with client locked so no further actions on client can be performed from func.

If func returns GstRtspServer.RTSPFilterResult.REMOVE, the session will be removed from client.

If func returns GstRtspServer.RTSPFilterResult.KEEP, the session will remain in client.

If func returns GstRtspServer.RTSPFilterResult.REF, the session will remain in client but will also be added with an additional ref to the result GLib.List of this function..

When func is null, GstRtspServer.RTSPFilterResult.REF will be assumed for each session.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`func` (GstRtspServer.RTSPClientSessionFilterFunc) –

a callback

`user_data` (Object) –

user data passed to func

Returns ([ GstRtspServer.RTSPSession ]) –

a GLib.List with all sessions for which func returned GstRtspServer.RTSPFilterResult.REF. After usage, each element in the GLib.List should be unreffed before the list is freed.

#### GstRtspServer.RTSPClient.session_filter

    def GstRtspServer.RTSPClient.session_filter (self, func, *user_data):
        #python wrapper for 'gst_rtsp_client_session_filter'

Call func for each session managed by client. The result value of func determines what happens to the session. func will be called with client locked so no further actions on client can be performed from func.

If func returns GstRtspServer.RTSPFilterResult.REMOVE, the session will be removed from client.

If func returns GstRtspServer.RTSPFilterResult.KEEP, the session will remain in client.

If func returns GstRtspServer.RTSPFilterResult.REF, the session will remain in client but will also be added with an additional ref to the result GLib.List of this function..

When func is None, GstRtspServer.RTSPFilterResult.REF will be assumed for each session.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`func` (GstRtspServer.RTSPClientSessionFilterFunc) –

a callback

`user_data` (variadic) –

user data passed to func

Returns ([ GstRtspServer.RTSPSession ]) –

a GLib.List with all sessions for which func returned GstRtspServer.RTSPFilterResult.REF. After usage, each element in the GLib.List should be unreffed before the list is freed.

#### gst_rtsp_client_set_auth

    gst_rtsp_client_set_auth (GstRTSPClient * client,
                              GstRTSPAuth * auth)

configure auth to be used as the authentication manager of client.

Parameters:

`client` –

a GstRTSPClient

`auth` ( [transfer: none][nullable]) –

a GstRTSPAuth

#### GstRtspServer.RTSPClient.prototype.set_auth

    function GstRtspServer.RTSPClient.prototype.set_auth(auth: GstRtspServer.RTSPAuth): {
        // javascript wrapper for 'gst_rtsp_client_set_auth'
    }

configure auth to be used as the authentication manager of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`auth` (GstRtspServer.RTSPAuth) –

a GstRtspServer.RTSPAuth

#### GstRtspServer.RTSPClient.set_auth

    def GstRtspServer.RTSPClient.set_auth (self, auth):
        #python wrapper for 'gst_rtsp_client_set_auth'

configure auth to be used as the authentication manager of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`auth` (GstRtspServer.RTSPAuth) –

a GstRtspServer.RTSPAuth

#### gst_rtsp_client_set_connection

    gboolean
    gst_rtsp_client_set_connection (GstRTSPClient * client,
                                    GstRTSPConnection * conn)

Set the GstRTSPConnection of client. This function takes ownership of conn.

Parameters:

`client` –

a GstRTSPClient

`conn` ( [transfer: full]) –

a GstRTSPConnection

Returns –

TRUE on success.

#### GstRtspServer.RTSPClient.prototype.set_connection

    function GstRtspServer.RTSPClient.prototype.set_connection(conn: GstRtsp.RTSPConnection): {
        // javascript wrapper for 'gst_rtsp_client_set_connection'
    }

Set the GstRtsp.RTSPConnection of client. This function takes ownership of conn.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (Number) –

true on success.

#### GstRtspServer.RTSPClient.set_connection

    def GstRtspServer.RTSPClient.set_connection (self, conn):
        #python wrapper for 'gst_rtsp_client_set_connection'

Set the GstRtsp.RTSPConnection of client. This function takes ownership of conn.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`conn` (GstRtsp.RTSPConnection) –

a GstRtsp.RTSPConnection

Returns (bool) –

True on success.

#### gst_rtsp_client_set_content_length_limit

    gst_rtsp_client_set_content_length_limit (GstRTSPClient * client,
                                              guint limit)

Configure client to use the specified Content-Length limit.

Define an appropriate request size limit and reject requests exceeding the limit with response status 413 Request Entity Too Large

Parameters:

`client` –

a GstRTSPClient

`limit` –

Content-Length limit

Since : 1.18

#### GstRtspServer.RTSPClient.prototype.set_content_length_limit

    function GstRtspServer.RTSPClient.prototype.set_content_length_limit(limit: Number): {
        // javascript wrapper for 'gst_rtsp_client_set_content_length_limit'
    }

Configure client to use the specified Content-Length limit.

Define an appropriate request size limit and reject requests exceeding the limit with response status 413 Request Entity Too Large

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`limit` (Number) –

Content-Length limit

Since : 1.18

#### GstRtspServer.RTSPClient.set_content_length_limit

    def GstRtspServer.RTSPClient.set_content_length_limit (self, limit):
        #python wrapper for 'gst_rtsp_client_set_content_length_limit'

Configure client to use the specified Content-Length limit.

Define an appropriate request size limit and reject requests exceeding the limit with response status 413 Request Entity Too Large

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`limit` (int) –

Content-Length limit

Since : 1.18

#### gst_rtsp_client_set_mount_points

    gst_rtsp_client_set_mount_points (GstRTSPClient * client,
                                      GstRTSPMountPoints * mounts)

Set mounts as the mount points for client which it will use to map urls to media streams. These mount points are usually inherited from the server that created the client but can be overriden later.

Parameters:

`client` –

a GstRTSPClient

`mounts` ( [transfer: none][nullable]) –

a GstRTSPMountPoints

#### GstRtspServer.RTSPClient.prototype.set_mount_points

    function GstRtspServer.RTSPClient.prototype.set_mount_points(mounts: GstRtspServer.RTSPMountPoints): {
        // javascript wrapper for 'gst_rtsp_client_set_mount_points'
    }

Set mounts as the mount points for client which it will use to map urls to media streams. These mount points are usually inherited from the server that created the client but can be overriden later.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

#### GstRtspServer.RTSPClient.set_mount_points

    def GstRtspServer.RTSPClient.set_mount_points (self, mounts):
        #python wrapper for 'gst_rtsp_client_set_mount_points'

Set mounts as the mount points for client which it will use to map urls to media streams. These mount points are usually inherited from the server that created the client but can be overriden later.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`mounts` (GstRtspServer.RTSPMountPoints) –

a GstRtspServer.RTSPMountPoints

#### gst_rtsp_client_set_send_func

    gst_rtsp_client_set_send_func (GstRTSPClient * client,
                                   GstRTSPClientSendFunc func,
                                   gpointer user_data,
                                   GDestroyNotify notify)

Set func as the callback that will be called when a new message needs to be sent to the client. user_data is passed to func and notify is called when user_data is no longer in use.

By default, the client will send the messages on the GstRTSPConnection that was configured with gst_rtsp_client_attach was called.

It is only allowed to set either a `send_func` or a `send_messages_func` but not both at the same time.

Parameters:

`client` –

a GstRTSPClient

`func` ( [scope notified][closure]) –

a GstRTSPClientSendFunc

`user_data` –

user data passed to func

`notify` ( [allow-none]) –

called when user_data is no longer in use

#### GstRtspServer.RTSPClient.prototype.set_send_func

    function GstRtspServer.RTSPClient.prototype.set_send_func(func: GstRtspServer.RTSPClientSendFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_client_set_send_func'
    }

Set func as the callback that will be called when a new message needs to be sent to the client. user_data is passed to func and notify is called when user_data is no longer in use.

By default, the client will send the messages on the GstRtsp.RTSPConnection that was configured with GstRtspServer.RTSPClient.prototype.attach was called.

It is only allowed to set either a `send_func` or a `send_messages_func` but not both at the same time.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`func` (GstRtspServer.RTSPClientSendFunc) –

a GstRtspServer.RTSPClientSendFunc

`user_data` (Object) –

user data passed to func

#### GstRtspServer.RTSPClient.set_send_func

    def GstRtspServer.RTSPClient.set_send_func (self, func, *user_data):
        #python wrapper for 'gst_rtsp_client_set_send_func'

Set func as the callback that will be called when a new message needs to be sent to the client. user_data is passed to func and notify is called when user_data is no longer in use.

By default, the client will send the messages on the GstRtsp.RTSPConnection that was configured with GstRtspServer.RTSPClient.attach was called.

It is only allowed to set either a `send_func` or a `send_messages_func` but not both at the same time.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`func` (GstRtspServer.RTSPClientSendFunc) –

a GstRtspServer.RTSPClientSendFunc

`user_data` (variadic) –

user data passed to func

#### gst_rtsp_client_set_send_messages_func

    gst_rtsp_client_set_send_messages_func (GstRTSPClient * client,
                                            GstRTSPClientSendMessagesFunc func,
                                            gpointer user_data,
                                            GDestroyNotify notify)

Set func as the callback that will be called when new messages needs to be sent to the client. user_data is passed to func and notify is called when user_data is no longer in use.

By default, the client will send the messages on the GstRTSPConnection that was configured with gst_rtsp_client_attach was called.

It is only allowed to set either a `send_func` or a `send_messages_func` but not both at the same time.

Parameters:

`client` –

a GstRTSPClient

`func` ( [scope notified][closure]) –

a GstRTSPClientSendMessagesFunc

`user_data` –

user data passed to func

`notify` ( [allow-none]) –

called when user_data is no longer in use

Since : 1.16

#### GstRtspServer.RTSPClient.prototype.set_send_messages_func

    function GstRtspServer.RTSPClient.prototype.set_send_messages_func(func: GstRtspServer.RTSPClientSendMessagesFunc, user_data: Object): {
        // javascript wrapper for 'gst_rtsp_client_set_send_messages_func'
    }

Set func as the callback that will be called when new messages needs to be sent to the client. user_data is passed to func and notify is called when user_data is no longer in use.

By default, the client will send the messages on the GstRtsp.RTSPConnection that was configured with GstRtspServer.RTSPClient.prototype.attach was called.

It is only allowed to set either a `send_func` or a `send_messages_func` but not both at the same time.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`func` (GstRtspServer.RTSPClientSendMessagesFunc) –

a GstRtspServer.RTSPClientSendMessagesFunc

`user_data` (Object) –

user data passed to func

Since : 1.16

#### GstRtspServer.RTSPClient.set_send_messages_func

    def GstRtspServer.RTSPClient.set_send_messages_func (self, func, *user_data):
        #python wrapper for 'gst_rtsp_client_set_send_messages_func'

Set func as the callback that will be called when new messages needs to be sent to the client. user_data is passed to func and notify is called when user_data is no longer in use.

By default, the client will send the messages on the GstRtsp.RTSPConnection that was configured with GstRtspServer.RTSPClient.attach was called.

It is only allowed to set either a `send_func` or a `send_messages_func` but not both at the same time.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`func` (GstRtspServer.RTSPClientSendMessagesFunc) –

a GstRtspServer.RTSPClientSendMessagesFunc

`user_data` (variadic) –

user data passed to func

Since : 1.16

#### gst_rtsp_client_set_session_pool

    gst_rtsp_client_set_session_pool (GstRTSPClient * client,
                                      GstRTSPSessionPool * pool)

Set pool as the sessionpool for client which it will use to find or allocate sessions. the sessionpool is usually inherited from the server that created the client but can be overridden later.

Parameters:

`client` –

a GstRTSPClient

`pool` ( [transfer: none][nullable]) –

a GstRTSPSessionPool

#### GstRtspServer.RTSPClient.prototype.set_session_pool

    function GstRtspServer.RTSPClient.prototype.set_session_pool(pool: GstRtspServer.RTSPSessionPool): {
        // javascript wrapper for 'gst_rtsp_client_set_session_pool'
    }

Set pool as the sessionpool for client which it will use to find or allocate sessions. the sessionpool is usually inherited from the server that created the client but can be overridden later.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`pool` (GstRtspServer.RTSPSessionPool) –

a GstRtspServer.RTSPSessionPool

#### GstRtspServer.RTSPClient.set_session_pool

    def GstRtspServer.RTSPClient.set_session_pool (self, pool):
        #python wrapper for 'gst_rtsp_client_set_session_pool'

Set pool as the sessionpool for client which it will use to find or allocate sessions. the sessionpool is usually inherited from the server that created the client but can be overridden later.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`pool` (GstRtspServer.RTSPSessionPool) –

a GstRtspServer.RTSPSessionPool

#### gst_rtsp_client_set_thread_pool

    gst_rtsp_client_set_thread_pool (GstRTSPClient * client,
                                     GstRTSPThreadPool * pool)

configure pool to be used as the thread pool of client.

Parameters:

`client` –

a GstRTSPClient

`pool` ( [transfer: none][nullable]) –

a GstRTSPThreadPool

#### GstRtspServer.RTSPClient.prototype.set_thread_pool

    function GstRtspServer.RTSPClient.prototype.set_thread_pool(pool: GstRtspServer.RTSPThreadPool): {
        // javascript wrapper for 'gst_rtsp_client_set_thread_pool'
    }

configure pool to be used as the thread pool of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`pool` (GstRtspServer.RTSPThreadPool) –

a GstRtspServer.RTSPThreadPool

#### GstRtspServer.RTSPClient.set_thread_pool

    def GstRtspServer.RTSPClient.set_thread_pool (self, pool):
        #python wrapper for 'gst_rtsp_client_set_thread_pool'

configure pool to be used as the thread pool of client.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`pool` (GstRtspServer.RTSPThreadPool) –

a GstRtspServer.RTSPThreadPool

### Signals

#### announce-request

    announce_request_callback (GstRTSPClient * self,
                               GstRTSPContext * ctx,
                               gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### announce-request

    function announce_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'announce-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### announce-request

    def announce_request_callback (self, ctx, *user_data):
        #python callback for the 'announce-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### check-requirements

    gchar *
    check_requirements_callback (GstRTSPClient * self,
                                 GstRTSPContext * ctx,
                                 utf8* arr,
                                 gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`arr` –

a NULL-terminated array of strings

`user_data` –
No description available
Returns –

a newly allocated string with comma-separated list of unsupported options. An empty string must be returned if all options are supported.

Flags: Run Last

Since : 1.6

#### check-requirements

    function check_requirements_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, arr: [ String ], user_data: Object): {
        // javascript callback for the 'check-requirements' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`arr` ([ String ]) –

a NULL-terminated array of strings

`user_data` (Object) –
No description available
Returns (String) –

a newly allocated string with comma-separated list of unsupported options. An empty string must be returned if all options are supported.

Flags: Run Last

Since : 1.6

#### check-requirements

    def check_requirements_callback (self, ctx, arr, *user_data):
        #python callback for the 'check-requirements' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`arr` ([ str ]) –

a NULL-terminated array of strings

`user_data` (variadic) –
No description available
Returns (str) –

a newly allocated string with comma-separated list of unsupported options. An empty string must be returned if all options are supported.

Flags: Run Last

Since : 1.6

#### closed

    closed_callback (GstRTSPClient * self,
                     gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### closed

    function closed_callback(self: GstRtspServer.RTSPClient, user_data: Object): {
        // javascript callback for the 'closed' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### closed

    def closed_callback (self, *user_data):
        #python callback for the 'closed' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### describe-request

    describe_request_callback (GstRTSPClient * self,
                               GstRTSPContext * ctx,
                               gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### describe-request

    function describe_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'describe-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### describe-request

    def describe_request_callback (self, ctx, *user_data):
        #python callback for the 'describe-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### get-parameter-request

    get_parameter_request_callback (GstRTSPClient * self,
                                    GstRTSPContext * ctx,
                                    gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### get-parameter-request

    function get_parameter_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'get-parameter-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### get-parameter-request

    def get_parameter_request_callback (self, ctx, *user_data):
        #python callback for the 'get-parameter-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### handle-response

    handle_response_callback (GstRTSPClient * self,
                              GstRTSPContext * ctx,
                              gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### handle-response

    function handle_response_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'handle-response' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### handle-response

    def handle_response_callback (self, ctx, *user_data):
        #python callback for the 'handle-response' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### new-session

    new_session_callback (GstRTSPClient * self,
                          GstRTSPSession * object,
                          gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### new-session

    function new_session_callback(self: GstRtspServer.RTSPClient, object: GstRtspServer.RTSPSession, user_data: Object): {
        // javascript callback for the 'new-session' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`object` (GstRtspServer.RTSPSession) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### new-session

    def new_session_callback (self, object, *user_data):
        #python callback for the 'new-session' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`object` (GstRtspServer.RTSPSession) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### options-request

    options_request_callback (GstRTSPClient * self,
                              GstRTSPContext * ctx,
                              gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### options-request

    function options_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'options-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### options-request

    def options_request_callback (self, ctx, *user_data):
        #python callback for the 'options-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### pause-request

    pause_request_callback (GstRTSPClient * self,
                            GstRTSPContext * ctx,
                            gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### pause-request

    function pause_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pause-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### pause-request

    def pause_request_callback (self, ctx, *user_data):
        #python callback for the 'pause-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### play-request

    play_request_callback (GstRTSPClient * self,
                           GstRTSPContext * ctx,
                           gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### play-request

    function play_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'play-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### play-request

    def play_request_callback (self, ctx, *user_data):
        #python callback for the 'play-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### pre-announce-request

    GstRTSPStatusCode *
    pre_announce_request_callback (GstRTSPClient * self,
                                   GstRTSPContext * ctx,
                                   gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-announce-request

    function pre_announce_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-announce-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-announce-request

    def pre_announce_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-announce-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-closed

    pre_closed_callback (GstRTSPClient * self,
                         gpointer user_data)

Provide a way for an application to be notified when a connection is closed, before the client's sessions are cleaned up.

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

Since : 1.28

#### pre-closed

    function pre_closed_callback(self: GstRtspServer.RTSPClient, user_data: Object): {
        // javascript callback for the 'pre-closed' signal
    }

Provide a way for an application to be notified when a connection is closed, before the client's sessions are cleaned up.

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

Since : 1.28

#### pre-closed

    def pre_closed_callback (self, *user_data):
        #python callback for the 'pre-closed' signal

Provide a way for an application to be notified when a connection is closed, before the client's sessions are cleaned up.

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

Since : 1.28

#### pre-describe-request

    GstRTSPStatusCode *
    pre_describe_request_callback (GstRTSPClient * self,
                                   GstRTSPContext * ctx,
                                   gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-describe-request

    function pre_describe_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-describe-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-describe-request

    def pre_describe_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-describe-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-get-parameter-request

    GstRTSPStatusCode *
    pre_get_parameter_request_callback (GstRTSPClient * self,
                                        GstRTSPContext * ctx,
                                        gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-get-parameter-request

    function pre_get_parameter_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-get-parameter-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-get-parameter-request

    def pre_get_parameter_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-get-parameter-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-options-request

    GstRTSPStatusCode *
    pre_options_request_callback (GstRTSPClient * self,
                                  GstRTSPContext * ctx,
                                  gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-options-request

    function pre_options_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-options-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-options-request

    def pre_options_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-options-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-pause-request

    GstRTSPStatusCode *
    pre_pause_request_callback (GstRTSPClient * self,
                                GstRTSPContext * ctx,
                                gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-pause-request

    function pre_pause_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-pause-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-pause-request

    def pre_pause_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-pause-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-play-request

    GstRTSPStatusCode *
    pre_play_request_callback (GstRTSPClient * self,
                               GstRTSPContext * ctx,
                               gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-play-request

    function pre_play_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-play-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-play-request

    def pre_play_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-play-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-record-request

    GstRTSPStatusCode *
    pre_record_request_callback (GstRTSPClient * self,
                                 GstRTSPContext * ctx,
                                 gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-record-request

    function pre_record_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-record-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-record-request

    def pre_record_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-record-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-set-parameter-request

    GstRTSPStatusCode *
    pre_set_parameter_request_callback (GstRTSPClient * self,
                                        GstRTSPContext * ctx,
                                        gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-set-parameter-request

    function pre_set_parameter_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-set-parameter-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-set-parameter-request

    def pre_set_parameter_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-set-parameter-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-setup-request

    GstRTSPStatusCode *
    pre_setup_request_callback (GstRTSPClient * self,
                                GstRTSPContext * ctx,
                                gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-setup-request

    function pre_setup_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-setup-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-setup-request

    def pre_setup_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-setup-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-teardown-request

    GstRTSPStatusCode *
    pre_teardown_request_callback (GstRTSPClient * self,
                                   GstRTSPContext * ctx,
                                   gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available
Returns –

a GstRTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-teardown-request

    function pre_teardown_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'pre-teardown-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### pre-teardown-request

    def pre_teardown_request_callback (self, ctx, *user_data):
        #python callback for the 'pre-teardown-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available
Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, GST_RTSP_STS_OK in case of success, otherwise an appropriate return code

Flags: Run Last

Since : 1.12

#### record-request

    record_request_callback (GstRTSPClient * self,
                             GstRTSPContext * ctx,
                             gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### record-request

    function record_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'record-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### record-request

    def record_request_callback (self, ctx, *user_data):
        #python callback for the 'record-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### send-message

    send_message_callback (GstRTSPClient * self,
                           GstRTSPSession * session,
                           gpointer message,
                           gpointer user_data)

Parameters:

`self` –
No description available
`session` ( [type GstRtspServer.RTSPSession]) –

The session

`message` ( [type GstRtsp.RTSPMessage]) –

The message

`user_data` –
No description available

Flags: Run Last

#### send-message

    function send_message_callback(self: GstRtspServer.RTSPClient, session: GstRtspServer.RTSPSession, message: GstRtsp.RTSPMessage, user_data: Object): {
        // javascript callback for the 'send-message' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`session` (GstRtspServer.RTSPSession) –

The session

`message` (GstRtsp.RTSPMessage) –

The message

`user_data` (Object) –
No description available

Flags: Run Last

#### send-message

    def send_message_callback (self, session, message, *user_data):
        #python callback for the 'send-message' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`session` (GstRtspServer.RTSPSession) –

The session

`message` (GstRtsp.RTSPMessage) –

The message

`user_data` (variadic) –
No description available

Flags: Run Last

#### set-parameter-request

    set_parameter_request_callback (GstRTSPClient * self,
                                    GstRTSPContext * ctx,
                                    gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### set-parameter-request

    function set_parameter_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'set-parameter-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### set-parameter-request

    def set_parameter_request_callback (self, ctx, *user_data):
        #python callback for the 'set-parameter-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### setup-request

    setup_request_callback (GstRTSPClient * self,
                            GstRTSPContext * ctx,
                            gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### setup-request

    function setup_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'setup-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### setup-request

    def setup_request_callback (self, ctx, *user_data):
        #python callback for the 'setup-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

#### teardown-request

    teardown_request_callback (GstRTSPClient * self,
                               GstRTSPContext * ctx,
                               gpointer user_data)

Parameters:

`self` –
No description available
`ctx` ( [type GstRtspServer.RTSPContext]) –

a GstRTSPContext

`user_data` –
No description available

Flags: Run Last

#### teardown-request

    function teardown_request_callback(self: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, user_data: Object): {
        // javascript callback for the 'teardown-request' signal
    }

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (Object) –
No description available

Flags: Run Last

#### teardown-request

    def teardown_request_callback (self, ctx, *user_data):
        #python callback for the 'teardown-request' signal

Parameters:

`self` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### drop-backlog

    “drop-backlog” gboolean

Flags : Read / Write

#### drop-backlog

    “drop-backlog” Number

Flags : Read / Write

#### drop_backlog

    “self.props.drop_backlog” bool

Flags : Read / Write

#### mount-points

    “mount-points” GstRTSPMountPoints *

Flags : Read / Write

#### mount-points

    “mount-points” GstRtspServer.RTSPMountPoints

Flags : Read / Write

#### mount_points

    “self.props.mount_points” GstRtspServer.RTSPMountPoints

Flags : Read / Write

#### post-session-timeout

    “post-session-timeout” gint

Flags : Read / Write

#### post-session-timeout

    “post-session-timeout” Number

Flags : Read / Write

#### post_session_timeout

    “self.props.post_session_timeout” int

Flags : Read / Write

#### session-pool

    “session-pool” GstRTSPSessionPool *

Flags : Read / Write

#### session-pool

    “session-pool” GstRtspServer.RTSPSessionPool

Flags : Read / Write

#### session_pool

    “self.props.session_pool” GstRtspServer.RTSPSessionPool

Flags : Read / Write

### Virtual Methods

#### adjust_error_code

    GstRTSPStatusCode
    adjust_error_code (GstRTSPClient * client,
                       GstRTSPContext * ctx,
                       GstRTSPStatusCode code)

Called before sending error response to give the application the possibility to adjust the error code.

Parameters:

`client` –

a GstRTSPClient

`ctx` –

a GstRTSPContext

`code` –

a GstRTSPStatusCode

Returns –

a GstRTSPStatusCode, containing the adjusted error code.

Since : 1.22

#### vfunc_adjust_error_code

    function vfunc_adjust_error_code(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, code: GstRtsp.RTSPStatusCode): {
        // javascript implementation of the 'adjust_error_code' virtual method
    }

Called before sending error response to give the application the possibility to adjust the error code.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`code` (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode

Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, containing the adjusted error code.

Since : 1.22

#### do_adjust_error_code

    def do_adjust_error_code (client, ctx, code):
        #python implementation of the 'adjust_error_code' virtual method

Called before sending error response to give the application the possibility to adjust the error code.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`ctx` (GstRtspServer.RTSPContext) –

a GstRtspServer.RTSPContext

`code` (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode

Returns (GstRtsp.RTSPStatusCode) –

a GstRtsp.RTSPStatusCode, containing the adjusted error code.

Since : 1.22

#### adjust_play_mode

    GstRTSPStatusCode
    adjust_play_mode (GstRTSPClient * client,
                      GstRTSPContext * context,
                      GstRTSPTimeRange ** range,
                      GstSeekFlags * flags,
                      gdouble * rate,
                      GstClockTime * trickmode_interval,
                      gboolean * enable_rate_control)

called to give the application the possibility to adjust the range, seek flags, rate and rate-control. Since 1.18

Parameters:

`client` –
No description available
`context` –
No description available
`range` –
No description available
`flags` –
No description available
`rate` –
No description available
`trickmode_interval` –
No description available
`enable_rate_control` –
No description available
Returns –
No description available

#### vfunc_adjust_play_mode

    function vfunc_adjust_play_mode(client: GstRtspServer.RTSPClient, context: GstRtspServer.RTSPContext, range: GstRtsp.RTSPTimeRange, flags: Gst.SeekFlags, rate: Number, trickmode_interval: Number, enable_rate_control: Number): {
        // javascript implementation of the 'adjust_play_mode' virtual method
    }

called to give the application the possibility to adjust the range, seek flags, rate and rate-control. Since 1.18

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`context` (GstRtspServer.RTSPContext) –
No description available
`range` (GstRtsp.RTSPTimeRange) –
No description available
`flags` (Gst.SeekFlags) –
No description available
`rate` (Number) –
No description available
`trickmode_interval` (Number) –
No description available
`enable_rate_control` (Number) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_adjust_play_mode

    def do_adjust_play_mode (client, context, range, flags, rate, trickmode_interval, enable_rate_control):
        #python implementation of the 'adjust_play_mode' virtual method

called to give the application the possibility to adjust the range, seek flags, rate and rate-control. Since 1.18

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`context` (GstRtspServer.RTSPContext) –
No description available
`range` (GstRtsp.RTSPTimeRange) –
No description available
`flags` (Gst.SeekFlags) –
No description available
`rate` (float) –
No description available
`trickmode_interval` (int) –
No description available
`enable_rate_control` (bool) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### adjust_play_response

    GstRTSPStatusCode
    adjust_play_response (GstRTSPClient * client,
                          GstRTSPContext * context)

called to give the implementation the possibility to adjust the response to a play request, for example if extra headers were parsed when adjust_play_mode was called. Since 1.18

Parameters:

`client` –
No description available
`context` –
No description available
Returns –
No description available

#### vfunc_adjust_play_response

    function vfunc_adjust_play_response(client: GstRtspServer.RTSPClient, context: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'adjust_play_response' virtual method
    }

called to give the implementation the possibility to adjust the response to a play request, for example if extra headers were parsed when vfunc_adjust_play_mode was called. Since 1.18

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`context` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_adjust_play_response

    def do_adjust_play_response (client, context):
        #python implementation of the 'adjust_play_response' virtual method

called to give the implementation the possibility to adjust the response to a play request, for example if extra headers were parsed when do_adjust_play_mode was called. Since 1.18

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`context` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### announce_request

    announce_request (GstRTSPClient * client,
                      GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_announce_request

    function vfunc_announce_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'announce_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_announce_request

    def do_announce_request (client, ctx):
        #python implementation of the 'announce_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### check_requirements

    gchar *
    check_requirements (GstRTSPClient * client,
                        GstRTSPContext * ctx,
                        gchar ** arr)

Parameters:

`client` –
No description available
`ctx` –
No description available
`arr` –
No description available
Returns –
No description available

#### vfunc_check_requirements

    function vfunc_check_requirements(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, arr: String): {
        // javascript implementation of the 'check_requirements' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`arr` (String) –
No description available
Returns (String) –
No description available

#### do_check_requirements

    def do_check_requirements (client, ctx, arr):
        #python implementation of the 'check_requirements' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`arr` (str) –
No description available
Returns (str) –
No description available

#### closed

    closed (GstRTSPClient * client)

Parameters:

`client` –
No description available

#### vfunc_closed

    function vfunc_closed(client: GstRtspServer.RTSPClient): {
        // javascript implementation of the 'closed' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available

#### do_closed

    def do_closed (client):
        #python implementation of the 'closed' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available

#### configure_client_media

    gboolean
    configure_client_media (GstRTSPClient * client,
                            GstRTSPMedia * media,
                            GstRTSPStream * stream,
                            GstRTSPContext * ctx)

called when the stream in media needs to be configured. The default implementation will configure the blocksize on the payloader when spcified in the request headers.

Parameters:

`client` –
No description available
`media` –
No description available
`stream` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_configure_client_media

    function vfunc_configure_client_media(client: GstRtspServer.RTSPClient, media: GstRtspServer.RTSPMedia, stream: GstRtspServer.RTSPStream, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'configure_client_media' virtual method
    }

called when the stream in media needs to be configured. The default implementation will configure the blocksize on the payloader when spcified in the request headers.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available
`stream` (GstRtspServer.RTSPStream) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (Number) –
No description available

#### do_configure_client_media

    def do_configure_client_media (client, media, stream, ctx):
        #python implementation of the 'configure_client_media' virtual method

called when the stream in media needs to be configured. The default implementation will configure the blocksize on the payloader when spcified in the request headers.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available
`stream` (GstRtspServer.RTSPStream) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (bool) –
No description available

#### configure_client_transport

    gboolean
    configure_client_transport (GstRTSPClient * client,
                                GstRTSPContext * ctx,
                                GstRTSPTransport * ct)

called when the client transport needs to be configured.

Parameters:

`client` –
No description available
`ctx` –
No description available
`ct` –
No description available
Returns –
No description available

#### vfunc_configure_client_transport

    function vfunc_configure_client_transport(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, ct: GstRtsp.RTSPTransport): {
        // javascript implementation of the 'configure_client_transport' virtual method
    }

called when the client transport needs to be configured.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`ct` (GstRtsp.RTSPTransport) –
No description available
Returns (Number) –
No description available

#### do_configure_client_transport

    def do_configure_client_transport (client, ctx, ct):
        #python implementation of the 'configure_client_transport' virtual method

called when the client transport needs to be configured.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`ct` (GstRtsp.RTSPTransport) –
No description available
Returns (bool) –
No description available

#### create_sdp

    GstSDPMessage *
    create_sdp (GstRTSPClient * client,
                GstRTSPMedia * media)

called when the SDP needs to be created for media.

Parameters:

`client` –
No description available
`media` –
No description available
Returns –
No description available

#### vfunc_create_sdp

    function vfunc_create_sdp(client: GstRtspServer.RTSPClient, media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'create_sdp' virtual method
    }

called when the SDP needs to be created for media.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (GstSdp.SDPMessage) –
No description available

#### do_create_sdp

    def do_create_sdp (client, media):
        #python implementation of the 'create_sdp' virtual method

called when the SDP needs to be created for media.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (GstSdp.SDPMessage) –
No description available

#### describe_request

    describe_request (GstRTSPClient * client,
                      GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_describe_request

    function vfunc_describe_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'describe_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_describe_request

    def do_describe_request (client, ctx):
        #python implementation of the 'describe_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### get_parameter_request

    get_parameter_request (GstRTSPClient * client,
                           GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_get_parameter_request

    function vfunc_get_parameter_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'get_parameter_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_get_parameter_request

    def do_get_parameter_request (client, ctx):
        #python implementation of the 'get_parameter_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### handle_response

    handle_response (GstRTSPClient * client,
                     GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_handle_response

    function vfunc_handle_response(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'handle_response' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_handle_response

    def do_handle_response (client, ctx):
        #python implementation of the 'handle_response' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### handle_sdp

    gboolean
    handle_sdp (GstRTSPClient * client,
                GstRTSPContext * ctx,
                GstRTSPMedia * media,
                GstSDPMessage * sdp)

Parameters:

`client` –
No description available
`ctx` –
No description available
`media` –
No description available
`sdp` –
No description available
Returns –
No description available

#### vfunc_handle_sdp

    function vfunc_handle_sdp(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, media: GstRtspServer.RTSPMedia, sdp: GstSdp.SDPMessage): {
        // javascript implementation of the 'handle_sdp' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available
`sdp` (GstSdp.SDPMessage) –
No description available
Returns (Number) –
No description available

#### do_handle_sdp

    def do_handle_sdp (client, ctx, media, sdp):
        #python implementation of the 'handle_sdp' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`media` (GstRtspServer.RTSPMedia) –
No description available
`sdp` (GstSdp.SDPMessage) –
No description available
Returns (bool) –
No description available

#### make_path_from_uri

    gchar *
    make_path_from_uri (GstRTSPClient * client,
                        const GstRTSPUrl * uri)

called to create path from uri.

Parameters:

`client` –
No description available
`uri` –
No description available
Returns –
No description available

#### vfunc_make_path_from_uri

    function vfunc_make_path_from_uri(client: GstRtspServer.RTSPClient, uri: GstRtsp.RTSPUrl): {
        // javascript implementation of the 'make_path_from_uri' virtual method
    }

called to create path from uri.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`uri` (GstRtsp.RTSPUrl) –
No description available
Returns (String) –
No description available

#### do_make_path_from_uri

    def do_make_path_from_uri (client, uri):
        #python implementation of the 'make_path_from_uri' virtual method

called to create path from uri.

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`uri` (GstRtsp.RTSPUrl) –
No description available
Returns (str) –
No description available

#### new_session

    new_session (GstRTSPClient * client,
                 GstRTSPSession * session)

Parameters:

`client` –
No description available
`session` –
No description available

#### vfunc_new_session

    function vfunc_new_session(client: GstRtspServer.RTSPClient, session: GstRtspServer.RTSPSession): {
        // javascript implementation of the 'new_session' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`session` (GstRtspServer.RTSPSession) –
No description available

#### do_new_session

    def do_new_session (client, session):
        #python implementation of the 'new_session' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`session` (GstRtspServer.RTSPSession) –
No description available

#### options_request

    options_request (GstRTSPClient * client,
                     GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_options_request

    function vfunc_options_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'options_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_options_request

    def do_options_request (client, ctx):
        #python implementation of the 'options_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### params_get

    GstRTSPResult
    params_get (GstRTSPClient * client,
                GstRTSPContext * ctx)

get parameters. This function should also initialize the RTSP response(ctx->response) via a call to gst_rtsp_message_init_response

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_params_get

    function vfunc_params_get(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'params_get' virtual method
    }

get parameters. This function should also initialize the RTSP response(ctx->response) via a call to GstRtsp.RTSPMessage.prototype.init_response

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPResult) –
No description available

#### do_params_get

    def do_params_get (client, ctx):
        #python implementation of the 'params_get' virtual method

get parameters. This function should also initialize the RTSP response(ctx->response) via a call to GstRtsp.RTSPMessage.init_response

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPResult) –
No description available

#### params_set

    GstRTSPResult
    params_set (GstRTSPClient * client,
                GstRTSPContext * ctx)

set parameters. This function should also initialize the RTSP response(ctx->response) via a call to gst_rtsp_message_init_response

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_params_set

    function vfunc_params_set(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'params_set' virtual method
    }

set parameters. This function should also initialize the RTSP response(ctx->response) via a call to GstRtsp.RTSPMessage.prototype.init_response

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPResult) –
No description available

#### do_params_set

    def do_params_set (client, ctx):
        #python implementation of the 'params_set' virtual method

set parameters. This function should also initialize the RTSP response(ctx->response) via a call to GstRtsp.RTSPMessage.init_response

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPResult) –
No description available

#### pause_request

    pause_request (GstRTSPClient * client,
                   GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_pause_request

    function vfunc_pause_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pause_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_pause_request

    def do_pause_request (client, ctx):
        #python implementation of the 'pause_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### play_request

    play_request (GstRTSPClient * client,
                  GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_play_request

    function vfunc_play_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'play_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_play_request

    def do_play_request (client, ctx):
        #python implementation of the 'play_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### pre_announce_request

    GstRTSPStatusCode
    pre_announce_request (GstRTSPClient * client,
                          GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_announce_request

    function vfunc_pre_announce_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_announce_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_announce_request

    def do_pre_announce_request (client, ctx):
        #python implementation of the 'pre_announce_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_describe_request

    GstRTSPStatusCode
    pre_describe_request (GstRTSPClient * client,
                          GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_describe_request

    function vfunc_pre_describe_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_describe_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_describe_request

    def do_pre_describe_request (client, ctx):
        #python implementation of the 'pre_describe_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_get_parameter_request

    GstRTSPStatusCode
    pre_get_parameter_request (GstRTSPClient * client,
                               GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_get_parameter_request

    function vfunc_pre_get_parameter_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_get_parameter_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_get_parameter_request

    def do_pre_get_parameter_request (client, ctx):
        #python implementation of the 'pre_get_parameter_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_options_request

    GstRTSPStatusCode
    pre_options_request (GstRTSPClient * client,
                         GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_options_request

    function vfunc_pre_options_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_options_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_options_request

    def do_pre_options_request (client, ctx):
        #python implementation of the 'pre_options_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_pause_request

    GstRTSPStatusCode
    pre_pause_request (GstRTSPClient * client,
                       GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_pause_request

    function vfunc_pre_pause_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_pause_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_pause_request

    def do_pre_pause_request (client, ctx):
        #python implementation of the 'pre_pause_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_play_request

    GstRTSPStatusCode
    pre_play_request (GstRTSPClient * client,
                      GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_play_request

    function vfunc_pre_play_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_play_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_play_request

    def do_pre_play_request (client, ctx):
        #python implementation of the 'pre_play_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_record_request

    GstRTSPStatusCode
    pre_record_request (GstRTSPClient * client,
                        GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_record_request

    function vfunc_pre_record_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_record_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_record_request

    def do_pre_record_request (client, ctx):
        #python implementation of the 'pre_record_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_set_parameter_request

    GstRTSPStatusCode
    pre_set_parameter_request (GstRTSPClient * client,
                               GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_set_parameter_request

    function vfunc_pre_set_parameter_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_set_parameter_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_set_parameter_request

    def do_pre_set_parameter_request (client, ctx):
        #python implementation of the 'pre_set_parameter_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_setup_request

    GstRTSPStatusCode
    pre_setup_request (GstRTSPClient * client,
                       GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_setup_request

    function vfunc_pre_setup_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_setup_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_setup_request

    def do_pre_setup_request (client, ctx):
        #python implementation of the 'pre_setup_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### pre_teardown_request

    GstRTSPStatusCode
    pre_teardown_request (GstRTSPClient * client,
                          GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available
Returns –
No description available

#### vfunc_pre_teardown_request

    function vfunc_pre_teardown_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'pre_teardown_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### do_pre_teardown_request

    def do_pre_teardown_request (client, ctx):
        #python implementation of the 'pre_teardown_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
Returns (GstRtsp.RTSPStatusCode) –
No description available

#### record_request

    record_request (GstRTSPClient * client,
                    GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_record_request

    function vfunc_record_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'record_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_record_request

    def do_record_request (client, ctx):
        #python implementation of the 'record_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### send_message

    send_message (GstRTSPClient * client,
                  GstRTSPContext * ctx,
                  GstRTSPMessage * response)

Parameters:

`client` –
No description available
`ctx` –
No description available
`response` –
No description available

#### vfunc_send_message

    function vfunc_send_message(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext, response: GstRtsp.RTSPMessage): {
        // javascript implementation of the 'send_message' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`response` (GstRtsp.RTSPMessage) –
No description available

#### do_send_message

    def do_send_message (client, ctx, response):
        #python implementation of the 'send_message' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available
`response` (GstRtsp.RTSPMessage) –
No description available

#### set_parameter_request

    set_parameter_request (GstRTSPClient * client,
                           GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_set_parameter_request

    function vfunc_set_parameter_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'set_parameter_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_set_parameter_request

    def do_set_parameter_request (client, ctx):
        #python implementation of the 'set_parameter_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### setup_request

    setup_request (GstRTSPClient * client,
                   GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_setup_request

    function vfunc_setup_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'setup_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_setup_request

    def do_setup_request (client, ctx):
        #python implementation of the 'setup_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### teardown_request

    teardown_request (GstRTSPClient * client,
                      GstRTSPContext * ctx)

Parameters:

`client` –
No description available
`ctx` –
No description available

#### vfunc_teardown_request

    function vfunc_teardown_request(client: GstRtspServer.RTSPClient, ctx: GstRtspServer.RTSPContext): {
        // javascript implementation of the 'teardown_request' virtual method
    }

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### do_teardown_request

    def do_teardown_request (client, ctx):
        #python implementation of the 'teardown_request' virtual method

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`ctx` (GstRtspServer.RTSPContext) –
No description available

#### tunnel_http_response

    tunnel_http_response (GstRTSPClient * client,
                          GstRTSPMessage * request,
                          GstRTSPMessage * response)

called when a response to the GET request is about to be sent for a tunneled connection. The response can be modified. Since: 1.4

Parameters:

`client` –
No description available
`request` –
No description available
`response` –
No description available

#### vfunc_tunnel_http_response

    function vfunc_tunnel_http_response(client: GstRtspServer.RTSPClient, request: GstRtsp.RTSPMessage, response: GstRtsp.RTSPMessage): {
        // javascript implementation of the 'tunnel_http_response' virtual method
    }

called when a response to the GET request is about to be sent for a tunneled connection. The response can be modified. Since: 1.4

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`request` (GstRtsp.RTSPMessage) –
No description available
`response` (GstRtsp.RTSPMessage) –
No description available

#### do_tunnel_http_response

    def do_tunnel_http_response (client, request, response):
        #python implementation of the 'tunnel_http_response' virtual method

called when a response to the GET request is about to be sent for a tunneled connection. The response can be modified. Since: 1.4

Parameters:

`client` (GstRtspServer.RTSPClient) –
No description available
`request` (GstRtsp.RTSPMessage) –
No description available
`response` (GstRtsp.RTSPMessage) –
No description available

## Function Macros

### GST_RTSP_CLIENT_CAST

    #define GST_RTSP_CLIENT_CAST(obj)         ((GstRTSPClient*)(obj))

### GST_RTSP_CLIENT_CLASS_CAST

    #define GST_RTSP_CLIENT_CLASS_CAST(klass) ((GstRTSPClientClass*)(klass))

## Callbacks

### GstRTSPClientSendFunc

    gboolean
    (*GstRTSPClientSendFunc) (GstRTSPClient * client,
                              GstRTSPMessage * message,
                              gboolean close,
                              gpointer user_data)

This callback is called when client wants to send message. When close is TRUE, the connection should be closed when the message has been sent.

Parameters:

`client` –

a GstRTSPClient

`message` –

a GstRTSPMessage

`close` –

close the connection

`user_data` –

user data when registering the callback

Returns –

TRUE on success.

### GstRtspServer.RTSPClientSendFunc

    function GstRtspServer.RTSPClientSendFunc(client: GstRtspServer.RTSPClient, message: GstRtsp.RTSPMessage, close: Number, user_data: Object): {
        // javascript wrapper for 'GstRTSPClientSendFunc'
    }

This callback is called when client wants to send message. When close is true, the connection should be closed when the message has been sent.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`message` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`close` (Number) –

close the connection

`user_data` (Object) –

user data when registering the callback

Returns (Number) –

true on success.

### GstRtspServer.RTSPClientSendFunc

    def GstRtspServer.RTSPClientSendFunc (client, message, close, *user_data):
        #python wrapper for 'GstRTSPClientSendFunc'

This callback is called when client wants to send message. When close is True, the connection should be closed when the message has been sent.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`message` (GstRtsp.RTSPMessage) –

a GstRtsp.RTSPMessage

`close` (bool) –

close the connection

`user_data` (variadic) –

user data when registering the callback

Returns (bool) –

True on success.

### GstRTSPClientSendMessagesFunc

    gboolean
    (*GstRTSPClientSendMessagesFunc) (GstRTSPClient * client,
                                      GstRTSPMessage * messages,
                                      guint n_messages,
                                      gboolean close,
                                      gpointer user_data)

This callback is called when client wants to send messages. When close is TRUE, the connection should be closed when the message has been sent.

Parameters:

`client` –

a GstRTSPClient

`messages` –

GstRTSPMessage

`n_messages` –

number of messages

`close` –

close the connection

`user_data` –

user data when registering the callback

Returns –

TRUE on success.

Since : 1.16

### GstRtspServer.RTSPClientSendMessagesFunc

    function GstRtspServer.RTSPClientSendMessagesFunc(client: GstRtspServer.RTSPClient, messages: GstRtsp.RTSPMessage, n_messages: Number, close: Number, user_data: Object): {
        // javascript wrapper for 'GstRTSPClientSendMessagesFunc'
    }

This callback is called when client wants to send messages. When close is true, the connection should be closed when the message has been sent.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`messages` (GstRtsp.RTSPMessage) –

GstRtsp.RTSPMessage

`n_messages` (Number) –

number of messages

`close` (Number) –

close the connection

`user_data` (Object) –

user data when registering the callback

Returns (Number) –

true on success.

Since : 1.16

### GstRtspServer.RTSPClientSendMessagesFunc

    def GstRtspServer.RTSPClientSendMessagesFunc (client, messages, n_messages, close, *user_data):
        #python wrapper for 'GstRTSPClientSendMessagesFunc'

This callback is called when client wants to send messages. When close is True, the connection should be closed when the message has been sent.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient

`messages` (GstRtsp.RTSPMessage) –

GstRtsp.RTSPMessage

`n_messages` (int) –

number of messages

`close` (bool) –

close the connection

`user_data` (variadic) –

user data when registering the callback

Returns (bool) –

True on success.

Since : 1.16

### GstRTSPClientSessionFilterFunc

    GstRTSPFilterResult
    (*GstRTSPClientSessionFilterFunc) (GstRTSPClient * client,
                                       GstRTSPSession * sess,
                                       gpointer user_data)

This function will be called by the gst_rtsp_client_session_filter. An implementation should return a value of GstRTSPFilterResult.

When this function returns GST_RTSP_FILTER_REMOVE, sess will be removed from client.

A return value of GST_RTSP_FILTER_KEEP will leave sess untouched in client.

A value of GST_RTSP_FILTER_REF will add sess to the result GList of gst_rtsp_client_session_filter.

Parameters:

`client` –

a GstRTSPClient object

`sess` –

a GstRTSPSession in client

`user_data` –

user data that has been given to gst_rtsp_client_session_filter

Returns –

a GstRTSPFilterResult.

### GstRtspServer.RTSPClientSessionFilterFunc

    function GstRtspServer.RTSPClientSessionFilterFunc(client: GstRtspServer.RTSPClient, sess: GstRtspServer.RTSPSession, user_data: Object): {
        // javascript wrapper for 'GstRTSPClientSessionFilterFunc'
    }

This function will be called by the GstRtspServer.RTSPClient.prototype.session_filter. An implementation should return a value of GstRtspServer.RTSPFilterResult.

When this function returns GstRtspServer.RTSPFilterResult.REMOVE, sess will be removed from client.

A return value of GstRtspServer.RTSPFilterResult.KEEP will leave sess untouched in client.

A value of GstRtspServer.RTSPFilterResult.REF will add sess to the result GLib.List of GstRtspServer.RTSPClient.prototype.session_filter.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient object

`sess` (GstRtspServer.RTSPSession) –

a GstRtspServer.RTSPSession in client

`user_data` (Object) –

user data that has been given to GstRtspServer.RTSPClient.prototype.session_filter

Returns (GstRtspServer.RTSPFilterResult) –

a GstRtspServer.RTSPFilterResult.

### GstRtspServer.RTSPClientSessionFilterFunc

    def GstRtspServer.RTSPClientSessionFilterFunc (client, sess, *user_data):
        #python wrapper for 'GstRTSPClientSessionFilterFunc'

This function will be called by the GstRtspServer.RTSPClient.session_filter. An implementation should return a value of GstRtspServer.RTSPFilterResult.

When this function returns GstRtspServer.RTSPFilterResult.REMOVE, sess will be removed from client.

A return value of GstRtspServer.RTSPFilterResult.KEEP will leave sess untouched in client.

A value of GstRtspServer.RTSPFilterResult.REF will add sess to the result GLib.List of GstRtspServer.RTSPClient.session_filter.

Parameters:

`client` (GstRtspServer.RTSPClient) –

a GstRtspServer.RTSPClient object

`sess` (GstRtspServer.RTSPSession) –

a GstRtspServer.RTSPSession in client

`user_data` (variadic) –

user data that has been given to GstRtspServer.RTSPClient.session_filter

Returns (GstRtspServer.RTSPFilterResult) –

a GstRtspServer.RTSPFilterResult.

The results of the search are